module.exports["route"] = {
    url: "/owoify",
    method: "GET",
    code: `
        $ignore: [This is a custom function to send error, to avoid overcoding.]
        $function: [sendError;
            $response: [
                $setCode: [$param[0]]
                $setType: [JSON]
                $setBody: [{
                    "success": false,
                    "error": true,
                    "message": "$param[1]"
                }]
            ]
            $break
        ]

        $ignore: [Checking required querys.]
        $if: [$query:[text]==null;$call:[sendError;400;Missing required 'text' parameter!]]

        $ignore: [OWOIFIYNG...]
        $set: [converted;$eval:[JS;true;d.req.query?.text?.replace(/(l|r)/g, "w").replace(/(L|R)/g, "W")]]

        $ignore: [API response.]
        $response: [
            $setCode: [200]
            $setType: [JSON]
            $setBody: [{
                "success": true,
                "error": false,
                "data": {
                    "owoified": "$get:[converted]"
                }
            }]
        ]
    `
};