export declare class Condition {
    /**
     * Parses a string based condition.
     * @param {string} text The string condition.
     * @returns {boolean}
     */
    parse(text: string): boolean;
    /**
     * Returns condition operators.
     * @returns {string[]}
     */
    get operators(): string[];
    /**
     * Returns falsys values.
     * @returns {string[]}
     */
    get falsys(): string[];
}
