export * from "./classes/interpreter.js";
export * from "./classes/condition.js";
export * from "./classes/builder.js";
export * from "./classes/manager.js";
export * from "./classes/util.js";
/**
 * Escapes BDJS code.
 * @param text The code to escape.
 * @returns {string}
 */
export declare function Escape(text: string): string;
/**
 * Unescapes BDJS code.
 * @param text The code to unescape.
 * @returns {string}
 */
export declare function Unescape(text: string): string;
