import { SKRSContext2D } from "@napi-rs/canvas";
import { Util } from "../interpreter/main";
export declare class Utils extends Util {
    static loadObject(json: string): any;
    static parse(text: string): null | boolean | number | any[] | Record<string, any> | string;
    static isNumber(num: string): boolean;
    static booleanify(str: string): boolean;
    static isValidHex(str: string): boolean;
    static molde(ctx: SKRSContext2D, x: number, y: number, width: number, height: number, radius: number): void;
    static getTextHeight(ctx: SKRSContext2D, text: string, style: string): number;
    static fillText(ctx: SKRSContext2D, mytext: string, x: number, y: number, width: number, height: number, align: string, vAlign: string): void;
}
