export interface FuncExtraData {
    parse?: Array<"yes" | "no">;
    [key: string]: unknown;
}
export declare class Func {
    name: string;
    extra: FuncExtraData;
    /**
     * Set the function name.
     * @param {string} name Function name.
     */
    setName(name: string): this;
    /**
     * Set a extra-property to the function.
     * @param {string} key The property name,
     * @param {unknown} value The property value.
     */
    set(key: string, value: unknown): this;
}
