export declare class Util {
    /**
     * Clones a data object.
     * @param d Data object
     * @returns {T}
     */
    static clone<T>(d: T): T;
    /**
     * Parses a JSON object.
     * @param json JSON to parse
     * @returns {Object | string}
     */
    static loadObject(json: string): any;
    /**
     * Parses the string to its corresponding type.
     * @param text
     * @returns
     */
    static parse(text: string): null | boolean | number | any[] | Record<string, any> | string;
}
